Gecode::Gist::PostorderNodeVisitor< Cursor > Class Template Reference

Run a cursor over a tree, processing nodes in post-order. More...

`#include <nodevisitor.hh>`

## Public Member Functions

| PostorderNodeVisitor (const Cursor &c)
| Constructor.
bool | next (void)
| Move cursor to next node, return true if succeeded.
void | run (void)
| Execute visitor.
Public Member Functions inherited from Gecode::Gist::NodeVisitor< Cursor >
| NodeVisitor (const Cursor &c0)
| Constructor.
void | setCursor (const Cursor &c0)
| Reset the cursor object to c0.
Cursor & | getCursor (void)
| Return the cursor.

## Protected Member Functions

void | moveToLeaf (void)
| Move the cursor to the left-most leaf.

## Additional Inherited Members

Protected Attributes inherited from Gecode::Gist::NodeVisitor< Cursor >
Cursor | c
| The cursor.

## Detailed Description

template<class Cursor>
class Gecode::Gist::PostorderNodeVisitor< Cursor >

Run a cursor over a tree, processing nodes in post-order.

Definition at line 56 of file nodevisitor.hh.

## Constructor & Destructor Documentation

## PostorderNodeVisitor()

template<class Cursor>

Gecode::Gist::PostorderNodeVisitor< Cursor >::PostorderNodeVisitor | ( | const Cursor & | c | ) |

Constructor.

Definition at line 57 of file nodevisitor.hpp.

## Member Function Documentation

## moveToLeaf()

template<class Cursor>

void Gecode::Gist::PostorderNodeVisitor< Cursor >::moveToLeaf | ( | void |  | ) |

inline protected

Move the cursor to the left-most leaf.

Definition at line 50 of file nodevisitor.hpp.

## next()

template<class Cursor>

bool Gecode::Gist::PostorderNodeVisitor< Cursor >::next | ( | void |  | ) |

inline

Move cursor to next node, return true if succeeded.

Definition at line 64 of file nodevisitor.hpp.

## run()

template<class Cursor>

void Gecode::Gist::PostorderNodeVisitor< Cursor >::run | ( | void |  | ) |

inline

Execute visitor.

Definition at line 79 of file nodevisitor.hpp.

The documentation for this class was generated from the following files:

- gecode/gist/nodevisitor.hh
- gecode/gist/nodevisitor.hpp